import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class Startapp {
  final MethodChannel _channel;
  static final Startapp _instance = new Startapp.private(
    const MethodChannel('startapp'),
  );

  Startapp.private(MethodChannel channel) : _channel = channel {
    _channel.setMethodCallHandler(_handleMethod);
  }

  static Startapp get instance => _instance;

  Future initialize({ @required String appId }) async {
    _channel.invokeMethod('initialize', <String, dynamic>{
      'appId': appId,
    });
  }
}

Future<dynamic> _handleMethod(MethodCall call) {
  final Map<dynamic, dynamic> argumentsMap = call.arguments;
  return new Future<Null>(null);
}


