import 'package:flutter/material.dart';

class StartappBannerSize {
  final int width, height;
  final String name;

  const StartappBannerSize({
    @required this.width,
    @required this.height,
    this.name,
  });

  static const StartappBannerSize BANNER = StartappBannerSize(width: 300, height: 50, name: 'BANNER');
  static const StartappBannerSize FULL_BANNER = StartappBannerSize(width: 468, height: 60, name: 'FULL_BANNER');

  Map<String, dynamic> get toMap => <String, dynamic>{
    'width': width,
    'height': height,
    'name': name,
  };
}
