import 'package:flutter/services.dart';
import 'package:startapp_sdk_flutter/src/startapp_event.dart';
import 'package:startapp_sdk_flutter/src/startapp_event_handler.dart';

class StartappBannerController extends StartappEventHandler {
  final MethodChannel _channel;

  StartappBannerController(int id, Function(StartappEvent) listener) : _channel = new MethodChannel('startapp/banner_$id'),
        super(listener) {
    if (listener != null) {
      _channel.setMethodCallHandler(handleEvent);
    }
  }
}
