

import 'package:flutter/services.dart';
import 'package:startapp_sdk_flutter/src/startapp_event.dart';

abstract class StartappEventHandler {
  final Function(StartappEvent) _listener;
  StartappEventHandler(Function (StartappEvent) listenser) : _listener = listenser;
  Future<dynamic> handleEvent(MethodCall call) async {
    switch (call.method) {
      case 'onClick':
        _listener(StartappEvent.onClick);
        break;
      case 'onFailedToReceiveAd':
        _listener(StartappEvent.onFailedToReceiveAd);
        break;
      case 'onImpression':
        _listener(StartappEvent.onImpression);
        break;
      case 'onReceiveAd':
        _listener(StartappEvent.onReceiveAd);
        break;
    }
    return null;
  }
}
