# Startapp SDK Plugin

Supported both iOS and Android.
Note: Only show banner ad currently (still beta with fixed size)

<img width="250" height="500" src="https://serving.photos.photobox.com/46247180da2c15bc2479b7d64bf6da478a5f84ec2b6319cb8ea28d2a768b701c4454add0.jpg" />
<img width="250" height="500" src="https://serving.photos.photobox.com/5922769298c1756528c37415a122fb0b9740f1e5b286f3e31bd2d8dc408e56a54cb8911e.jpg" />

## Getting Started

1. Initialization

```dart
Startapp.instance.initialize('your_app_id');
```

2. Add banner ad

```dart
StartappBanner(
          listener: handleEvent,
          adSize: StartappBannerSize.BANNER,
        )
```

3. Events

```dart
 void handleEvent(StartappEvent event) {
    switch (event) {
      case StartappEvent.onClick:
        print('Received: onClick!');
        break;
      case StartappEvent.onReceiveAd:
        print('Received: onReceiveAd');
        break;
      case StartappEvent.onImpression:
        print('Received: onImpression');
        break;
      case StartappEvent.onFailedToReceiveAd:
        print('Received: onFailedToReceiveAd');
        break;
      default:
    }
  }
```

## Getting Started
Implement Interstitial Ad and Rewarded Video Ad

## Support
Thanks for your coffee :D

[![Buy me a coffee](https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQ-z7EbdgcTwh9YktmdNEstX77U_Nav1D7XMtOPUoeR0Xr5zRvo)](https://www.buymeacoffee.com/92Vnuv6)